This project contains some of the Swarm extensions the Workshop team has built
to transform Swarm into self-service, community focused site. Not everything
has been published yet; if there is some functionality that you see that you
would like let us know and we can prioritize packaging it.

Currently there are three available extensions:

Avatar: adds support for project specific banners and avatars. Theses images 
        will be shown on project pages.

FrontPage: a custom landing page for Swarm. Works with the Avatar module to
           display project banners and avatars.

Markdown: brings Markdown support to Swarm, rendering markdown files in the
          file browser.  Also alters the project front page to render a 
          readme.md file found in the 'main' branch of the project. 

**Note**: the [Parsedown](http://parsedown.org/) library is required for this module to function.  See the Markdown module [readme](/main/markdown/README.md) file for details.

Please contact us here in the Workshop or in the Perforce Forums(http://forums.perforce.com)
if you have any questions.

## Installation

Copy the contents of the 'avatar', 'frontpage', or 'markdown' directories into your Swarm root and restart Apache.